%global tar_version 4.0.0a6

Name: python-ovirt-engine-sdk4
Summary: Python SDK for version 4 of the oVirt Engine API
Version: 4.0.0
Release: 0.6.a6%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://ovirt.org/wiki/SDK
Source: ovirt-engine-sdk-python-%{tar_version}.tar.gz

BuildRequires: gcc
BuildRequires: libxml2-devel
BuildRequires: python-setuptools
BuildRequires: python2-devel

Requires: libxml2
Requires: python
Requires: python-enum34
Requires: python-pycurl
Requires: python-six

%description
This package contains the Python SDK for version 4 of the oVirt Engine
API.

%prep
%setup -q -n ovirt-engine-sdk-python-%{tar_version}

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.adoc
%license LICENSE.txt
%{python2_sitearch}/*

%changelog
* Mon Aug 22 2016 Juan Hernandez <juan.hernandez@redhat.com> 4.0.0-0.6.a6
- Update to upstream 4.0.6.a6.
- Use POST method to send SSO credentials #1368385.
- Name element tag by the entity which is written.
- Name plural element tag same as member.
- Send query parameters for add/update methods.
- Update to model 4.0.32.
- Add the `clone_permissions` parameter to the operations that add virtual
  machines and templates.
- Add the `clone` parameter to the operation that adds a new virtual
  machine.
- Add the `ad_partner_mac` attribute to the bonding type.
- Add the `ad_aggregator_id` attribute to the host NIC type.
- Add the `upgradecheck` action to the host service.
- Add the `ExternalVmImportsService` and related types.
- Use correct writer for services actions.
- Use Python logging.
- Add option to not revoke token when closing connection.
- Add support to pass SSO token to SDK connection.
- Support /v4 suffix in API URL.

* Tue Jul 19 2016 Ondra Machacek <omachace@redhat.com> - 4.0.0-0.5.a5
- Update to upstream 4.0.5.a5.
- Update to model 4.0.28.
- Added `switch_type` attribute to `Host` type.
- Add `permits` to the cluster level type.
- Add the `current` parameter to the virtual machine graphics consoles service.
- Fix the name of the output parameter of the method to list affinity
  groups, should be `groups` instead of `list`.

* Fri Jun 24 2016 Ondra Machacek <omachace@redhat.com> - 4.0.0-0.1
- Fixed missing python-six and python-enum34 dependency rhbz#1349774

* Mon Mar 28 2016 Juan Hernandez <juan.hernandez@redhat.com> - 4.0.0
- Initial packaging.
